Ground-Truthing GUI 1.0

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
ImageGraphicsView Class Reference

Displays the image. More...

`#include <imagegraphicsview.h>`

Inherits QGraphicsView.

## Public Member Functions
| ImageGraphicsView (QMainWindow *mainWindow_1)
| The constructor of the ImageGraphicsView class. More...
virtual bool | display (QString &fileName)
| 1° step for displaying the image More...
virtual void | setName (QString *filename)
| Deprecated method. Will be removed in a future release.
virtual ImageGraphicsScene * | getScene ()
| Returns the application scene. More...
virtual void | setDragButton (bool value)
| Sets the state of the variable representing the state of the Drag icon. More...
virtual void | dragEnable ()
| Enables the drag mode. More...
virtual void | dragDisable ()
| Disables the drag mode. More...
virtual void | cursorActivate ()
| Sets the cursor to be a cross when the user presses the draw icon. More...
virtual void | cursorDesactivate ()
| Sets the cursor to be an arrow when the user stops drawing. More...

## Protected Member Functions
void | drawBackground ()
| 2° for drawing the image More...
void | wheelEvent (QWheelEvent *event)
| Zoom In and Zoom Out events. More...

## Detailed Description

Displays the image.

This class displays the image chosen by the user.

Author

Author
  David Carmona-Moreno

Version

Revision
  1.0

Date

Date
  2016/01/11 14:00:00

Bug:
  Not known bugs.

Contacts: nikol.nosp@m.aos..nosp@m.arvan.nosp@m.itop.nosp@m.oulos.nosp@m.@epf.nosp@m.l.ch and david.nosp@m..car.nosp@m.mona-.nosp@m.more.nosp@m.no@ep.nosp@m.fl.c.nosp@m.h

Created on: Mon Jan 12 14:00:00 2016

## Constructor & Destructor Documentation

ImageGraphicsView::ImageGraphicsView | ( | QMainWindow * | mainWindow_1 | ) |
| inline

The constructor of the ImageGraphicsView class.

Parameters

  _mainWindow_1 | The application Main Window

## Member Function Documentation

void ImageGraphicsView::cursorActivate | ( |  | ) |
| virtual

Sets the cursor to be a cross when the user presses the draw icon.

Returns
  void

void ImageGraphicsView::cursorDesactivate | ( |  | ) |
| virtual

Sets the cursor to be an arrow when the user stops drawing.

Returns
  void

bool ImageGraphicsView::display | ( | QString & | fileName | ) |
| virtual

1° step for displaying the image

Parameters

  fileName | The filepath of the image to display

Returns
  true if the image is displayed, false if not

void ImageGraphicsView::dragDisable | ( |  | ) |
| virtual

Disables the drag mode.

Returns
  void

void ImageGraphicsView::dragEnable | ( |  | ) |
| virtual

Enables the drag mode.

Returns
  void

void ImageGraphicsView::drawBackground | ( |  | ) |
| protected

2° for drawing the image

Returns
  void

ImageGraphicsScene * ImageGraphicsView::getScene | ( |  | ) |
| virtual

Returns the application scene.

Returns
  The application scene

void ImageGraphicsView::setDragButton | ( | bool | value | ) |
| virtual

Sets the state of the variable representing the state of the Drag icon.

Returns
  True if the user has pressed the Drag icon, False if not

void ImageGraphicsView::wheelEvent | ( | QWheelEvent * | event | ) |
| protected

Zoom In and Zoom Out events.

Parameters

  event | The Zoom In or Zoom out event

The documentation for this class was generated from the following files:

- /media/david/4A52443C52442F4F/Users/David/Desktop/Projet EPFL/Ground_Truthing_20_10_2015/imagegraphicsview.h
- /media/david/4A52443C52442F4F/Users/David/Desktop/Projet EPFL/Ground_Truthing_20_10_2015/imagegraphicsview.cpp